# KDE-Benutzerhandbuch

&Lauri.Watts; &Lauri.Watts.mail;
2004-02-02
K Desktop Environment
qtoptions
7

# qtoptions

Allgemeine Befehlszeilenparameter für alle Anwendungen, die auf dem Qt-Toolkit basieren.

    Qt-Anwendung allgemeine Qt-Parameter

## Optionen

Die folgenden Parameter gelten für alle &Qt;-Anwendungen:

`--display` `Displayname`

  Verwende den X-Server-Display `Displayname`.

`--session` `Sitzungs-ID`

  Wiederherstellung der Anwendung für die angegebene `Sitzungs-ID`.

`--cmap`

  Bewirkt, dass die Anwendung auf einem 8-Bit-Display eine eigene Farbtabelle anlegt.

`--ncols` `Anzahl`

  Beschränkt die Anzahl der Farben auf einem 8-Bit-Display, wenn die Anwendung die Farbspezifikation `QApplication::ManyColor` verwendet.

`--nograb`

  Bewirkt, dass &Qt; weder Maus noch Tastatur für sich allein beansprucht (grab).

`--dograb`

  In einem Debugger kann es vorkommen, dass implizit der Parameter `--nograb` gesetzt ist. Verwenden Sie `--dograb`, um diese Einstellung zu überschreiben.

`--sync`

  Wechselt zum Debuggen in den Synchronmodus.

`--fn`,`--font` `Schriftname`

  Legt die Schriftart für die Anwendung fest.

`--bg`,`--background` `Farbe`

  Legt die Standardhintergrundfarbe und eine Farbpalette für die Anwendung fest (helle und dunkle Schattierungen werden berechnet).

`--fg`,`--foreground` `Farbe`

  Legt die Standardvordergrundfarbe fest.

`--btn`,`--button` `Farbe`

  Legt die Standardfarbe für Knöpfe fest.

`--name` `Name`

  Legt den Anwendungsnamen fest.

`--title` `Titel`

  Legt den Titel der Anwendung fest (caption).

`--visual` `TrueColor`

  Erzwingt für die Anwendung eine `TrueColore`-Darstellung auf einem 8-Bit-Display.

`--inputstyle` `Eingabestil`

  Legt den XIM (X Input Method) Eingabestil fest. Mögliche Werte sind `onthespot`, `overthespot`, `offthespot` und `root`.

`--im` `XIM-Server`

  Legt den XIM-Server fest.

`--noxim`

  XIM abschalten

## Siehe auch

kdeoptions(7)

## Autoren

Manpage geschrieben von &Lauri.Watts;&Lauri.Watts.mail;